## DzlGraphColumn

DzlGraphColumn

## Functions

DzlGraphColumn * | dzl_graph_view_column_new ()
const gchar * | dzl_graph_view_column_get_name ()
void | dzl_graph_view_column_set_name ()

## Properties

char * | name | Read / Write
GType * | value-type | Read / Write / Construct Only

## Types and Values

#define | DZL_TYPE_GRAPH_COLUMN
struct | DzlGraphColumnClass
| DzlGraphColumn

## Object Hierarchy

        GObject
        ╰── DzlGraphColumn

## Description

## Functions

### dzl_graph_view_column_new ()

    DzlGraphColumn *
    dzl_graph_view_column_new (const gchar *name,
                               GType value_type);

### dzl_graph_view_column_get_name ()

    const gchar *
    dzl_graph_view_column_get_name (DzlGraphColumn *self);

### dzl_graph_view_column_set_name ()

    void
    dzl_graph_view_column_set_name (DzlGraphColumn *self,
                                    const gchar *name);

## Types and Values

### DZL_TYPE_GRAPH_COLUMN

    #define DZL_TYPE_GRAPH_COLUMN (dzl_graph_view_column_get_type())

### struct DzlGraphColumnClass

    struct DzlGraphColumnClass {
      GObjectClass parent;
    };

### DzlGraphColumn

    typedef struct _DzlGraphColumn DzlGraphColumn;

## Property Details

### The `“name”` property

      “name”                     char *

The name of the column.

Owner: DzlGraphColumn

Flags: Read / Write

Default value: NULL

### The `“value-type”` property

      “value-type”               GType *

Value Type.

Owner: DzlGraphColumn

Flags: Read / Write / Construct Only

Allowed values: void